/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.logmessage.message;

/**
 * blancoLogMessageが内部的に利用するメッセージクラスです。
 */
public class BlancoLogMessageMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoLogMessageMessageResourceBundle fBundle = new BlancoLogMessageMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoLogMessage]、キー[MBMSGI01]の文字列を取得します。
     *
     * No.2:
     * 文字列[メッセージ定義ID[{0}]のパッケージ名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbmsgi01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBMSGI01] " + fBundle.getMbmsgi01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogMessage]、キー[MBMSGI02]の文字列を取得します。
     *
     * No.3:
     * 文字列[サポートしない出力プログラミング言語処理系[{0}]が指定されました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbmsgi02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBMSGI02] " + fBundle.getMbmsgi02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoLogMessage]、キー[MBMSGI03]の文字列を取得します。
     *
     * No.4:
     * 文字列[メッセージ定義ID[{0}]において、キー[{1}]が2回以上あらわれました。同じキーは2回以上指定することはできません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbmsgi03(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi03]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBMSGI03] " + fBundle.getMbmsgi03(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoLogMessage]、キー[MBMSGI04]の文字列を取得します。
     *
     * No.5:
     * 文字列[メッセージ定義ID[{0}]において、キー[{1}]のメッセージが不正です。メッセージ定義として判断した場合の置換文字列の個数[{2}]とリソースバンドルとして判断した場合の置換文字列の個数[{3}]とが異なります。置換文字列の番号は飛んでしまっていませんか？正しくフォーマット定義してください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @return メッセージ文字列。
     */
    public String getMbmsgi04(final String arg0, final String arg1, final String arg2, final String arg3) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi04]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi04]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg3 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsgi04]のパラメータ[arg3]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBMSGI04] " + fBundle.getMbmsgi04(arg0, arg1, arg2, arg3);
    }

    /**
     * メッセージ定義ID[BlancoLogMessage]、キー[MBMSGA01]の文字列を取得します。
     *
     * No.8:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbmsga01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbmsga01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBMSGA01] " + fBundle.getMbmsga01(arg0);
    }
}
